org.apache.fop.datatypes

## Interface PercentBaseContext

- All Known Subinterfaces:
    BlockLevelLayoutManager, InlineLevelLayoutManager, LayoutManager
  All Known Implementing Classes:
    AbstractBaseLayoutManager, AbstractGraphicsLayoutManager, AbstractLayoutManager, AbstractPageNumberCitationLayoutManager, AbstractPageSequenceLayoutManager, BasicLinkLayoutManager, BidiLayoutManager, BlockContainerLayoutManager, BlockLayoutManager, BlockStackingLayoutManager, CharacterLayoutManager, ContentLayoutManager, DummyPercentBaseContext, ExternalDocumentLayoutManager, ExternalGraphicLayoutManager, FloatContentLayoutManager, FloatLayoutManager, FlowLayoutManager, FootnoteBodyLayoutManager, FootnoteLayoutManager, InlineContainerLayoutManager, InlineLayoutManager, InlineStackingLayoutManager, InstreamForeignObjectLM, LeaderLayoutManager, LeafNodeLayoutManager, LineLayoutManager, ListBlockLayoutManager, ListItemContentLayoutManager, ListItemLayoutManager, MultiCaseLayoutManager, MultiSwitchLayoutManager, PageNumberCitationLastLayoutManager, PageNumberCitationLayoutManager, PageNumberLayoutManager, PageSequenceLayoutManager, PercentContext, RetrieveTableMarkerLayoutManager, SimplePercentBaseContext, SpacedBorderedPaddedBlockLayoutManager, StaticContentLayoutManager, TableAndCaptionLayoutManager, TableCaptionLayoutManager, TableCellLayoutManager, TableContentLayoutManager, TableLayoutManager, TextLayoutManager, ValidationPercentBaseContext, WrapperLayoutManager

      public interface PercentBaseContext

  This interface is used by the layout managers to provide relevant information back to the property percentage resolution logic, that is the percentages based property getValue() functions expect an object implementing this interface as an argument.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBaseLength(int lengthBase, FObj fobj)` Returns the base length for the given length base.

- - ### Method Detail

    - #### getBaseLength

          int getBaseLength(int lengthBase,
                            FObj fobj)

      Returns the base length for the given length base. Length base should be one of the constants defined in `LengthBase`.
      Parameters:
        `lengthBase` - Indicates which type of the base length value is to be returned
        `fobj` - The FO object against which the percentage should be evaluated
      Returns:
        The base length value of the given kind

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.